/**
 * Internal dependencies
 */
import CollapsibleListItem from '../collapsible-list-item';
import CollapsibleList from '../collapsible-list';

export default {
	title: 'Components/CollapsibleList',
	component: CollapsibleList,
};

const ItemTemplate = ( args ) => <CollapsibleListItem { ...args } />;

export const CollapsibleListItem1 = ItemTemplate.bind( {} );
CollapsibleListItem1.storyName = 'Collapsible List Item';

CollapsibleListItem1.args = {
	title: '1. First Item',
	description: 'Vehicula nec finibus nec, feugiat a quam. Integer et neque ac.',
	imageUrl: 'https://placeimg.com/1000/1000/any',
	key: 'collapsiblelistitem1',
};

const CollapsibleListItem2 = ItemTemplate.bind( {} );

CollapsibleListItem2.args = {
	title: '2. Second Item',
	description: 'Vestibulum accumsan, massa eget dapibus ullamcorper, mauris odio semper diam.',
	imageUrl: 'https://placeimg.com/1000/1000/any',
	key: 'collapsiblelistitem2',
};

const ListTemplate = ( { items, ...args } ) => (
	<CollapsibleList { ...args }>
		{
			items.map( item => (
				<CollapsibleListItem { ...item } />
			) )
		}
	</CollapsibleList>
);

export const CollapsibleListWithTwoItems = ListTemplate.bind( {} );

CollapsibleListWithTwoItems.args = {
	title: 'Collapsible List',
	description: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque convallis, sem eu tempus tincidunt.',
	items: [
		CollapsibleListItem1.args,
		CollapsibleListItem2.args,
	],
};

CollapsibleListWithTwoItems.storyName = 'Collapsible List';